

using QYZH.InteractiveMagazine.Models.Dto.Journal;
using QYZH.InteractiveMagazine.Models.Entity;

namespace QYZH.InteractiveMagazine.IService;

public interface IJournalPageService: IBaseService<JournalPage>
{
    Task<long> InsertAsync(JournalAddV2Input input);

    Task<bool> UpdateAsync(PageLayoutInput input);

    /// <summary>
    /// 修改书页的点阵码
    /// </summary>
    /// <param name="JournalId"></param>
    /// <returns></returns>
    Task<bool> UpdatePageNoAsync(long JournalId);


    Task<JournalPageV2Output> DetailAsync(long id);
    Task<bool> DeleteAsync(long id);
    /// <summary>
    /// 回调接口-自动铺码, 书页铺码后回调接口，更新书页的点阵码
    /// </summary>
    /// <param name="bookPagePrintDto"></param>
    /// <returns></returns>
    Task<bool> CallbackPageUpdatePageNo(JournalPagePrintDto journalPagePrintDto);
}
